GET
/federation/credentials#role_name&account_id&x-amz-sso_bearer_token
http://portal.sso.{region}.amazonaws.com/federation/credentials#role_name&account_id&x-amz-sso_bearer_tokenReturns the STS short-term credentials for a given role name that is assigned to the user.
Access Token Required: API Key
Query Params
role_namestringrequired
The friendly name of the role that is assigned to the user.
account_idstringrequired
The identifier for the AWS account that is assigned to the user.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://portal.sso.{region}.amazonaws.com/federation/credentials#role_name&account_id&x-amz-sso_bearer_token' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}